StudentWritingCParserInternal::Zone Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
StudentWritingCParserInternal::Zone Struct Reference

a list of entry of StudentWritingCParser defining a zone More...

## Public Member Functions
| Zone (int type, int id)
| constructor
bool | insert (int id, MWAWEntry const &entry)
| insert a new entry

## Public Attributes
int | m_type
| the zone type
int | m_id
| the zone id
std::map< int, MWAWEntry > | m_idToEntryMap
| the id to sub zone map
std::map< int, MWAWParagraph > | m_idToParagraphMap
| a map id to paragraph
std::map< int, ZoneStruct > | m_idToDataMap
| a map id to main zone data, ...
std::map< int, PageStruct > | m_idToPageMap
| a map id to page positions, ...
std::vector< FrameStruct > | m_frames
| a list of frames
std::vector< std::array< int, 3 > > | m_frameDates
| a list of frames date
std::map< int, ZoneEntry > | m_idToFrameNoteMap
| a map id to frame note entry
std::map< int, librevenge::RVNGString > | m_idToFrameBiblioMap
| a map id to biblio text
std::map< int, PictureStruct > | m_idToPictureMap
| a map id to picture positions, ...
std::map< int, MWAWEmbeddedObject > | m_idToObjectMap
| a map id to an embedded object

## Detailed Description

a list of entry of StudentWritingCParser defining a zone

## Constructor & Destructor Documentation

## ◆ Zone()

StudentWritingCParserInternal::Zone::Zone | ( | int | type,
|  | int | id
| ) |  |
| inline

constructor

## Member Function Documentation

## ◆ insert()

bool StudentWritingCParserInternal::Zone::insert | ( | int | id,
|  | MWAWEntry const & | entry
| ) |  |
| inline

insert a new entry

## Member Data Documentation

## ◆ m_frameDates

std::vector<std::array<int,3> > StudentWritingCParserInternal::Zone::m_frameDates

a list of frames date

Referenced by StudentWritingCParser::readFrame().

## ◆ m_frames

std::vector<FrameStruct> StudentWritingCParserInternal::Zone::m_frames

a list of frames

Referenced by StudentWritingCParser::readFrame().

## ◆ m_id

int StudentWritingCParserInternal::Zone::m_id

the zone id

Referenced by StudentWritingCParser::readFrame(), StudentWritingCParser::readParagraph(), StudentWritingCParser::readPicture(), and StudentWritingCParser::readTextZone().

## ◆ m_idToDataMap

std::map<int, ZoneStruct> StudentWritingCParserInternal::Zone::m_idToDataMap

a map id to main zone data, ...

Referenced by StudentWritingCParser::sendText().

## ◆ m_idToEntryMap

std::map<int, MWAWEntry> StudentWritingCParserInternal::Zone::m_idToEntryMap

the id to sub zone map

Referenced by insert(), StudentWritingCParser::readFrame(), StudentWritingCParser::readParagraph(), StudentWritingCParser::readPicture(), StudentWritingCParser::readTextZone(), and StudentWritingCParser::sendText().

## ◆ m_idToFrameBiblioMap

std::map<int,librevenge::RVNGString> StudentWritingCParserInternal::Zone::m_idToFrameBiblioMap

a map id to biblio text

Referenced by StudentWritingCParser::readFrame().

## ◆ m_idToFrameNoteMap

std::map<int, ZoneEntry> StudentWritingCParserInternal::Zone::m_idToFrameNoteMap

a map id to frame note entry

Referenced by StudentWritingCParser::readFrame().

## ◆ m_idToObjectMap

std::map<int, MWAWEmbeddedObject> StudentWritingCParserInternal::Zone::m_idToObjectMap

a map id to an embedded object

Referenced by StudentWritingCParser::readPicture().

## ◆ m_idToPageMap

std::map<int, PageStruct> StudentWritingCParserInternal::Zone::m_idToPageMap

a map id to page positions, ...

## ◆ m_idToParagraphMap

std::map<int, MWAWParagraph> StudentWritingCParserInternal::Zone::m_idToParagraphMap

a map id to paragraph

Referenced by StudentWritingCParser::readParagraph().

## ◆ m_idToPictureMap

std::map<int, PictureStruct> StudentWritingCParserInternal::Zone::m_idToPictureMap

a map id to picture positions, ...

Referenced by StudentWritingCParser::readPicture().

## ◆ m_type

int StudentWritingCParserInternal::Zone::m_type

the zone type

Referenced by StudentWritingCParser::readFrame(), StudentWritingCParser::readParagraph(), StudentWritingCParser::readPicture(), StudentWritingCParser::readTextZone(), and StudentWritingCParser::sendText().

The documentation for this struct was generated from the following file:

- StudentWritingCParser.cxx